import React from 'react';
import { render, screen } from '@testing-library/react';
import { Record } from './Record';
describe('Record tests', function () {
    it('should render children', function () {
        render(React.createElement(Record, null, "children"));
        expect(screen.getByText('children')).toBeInTheDocument();
    });
    it('should use className', function () {
        render(React.createElement(Record, { className: "test-class" }, "children"));
        expect(screen.getByTestId('reltio-activity-log-record')).toHaveClass('test-class');
    });
});
